curl --request POST \
--url https://services.leadconnectorhq.com/locations/{locationId}/tasks/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"contactId": [
"dSMo5jnqkJyh8YeGXM7k",
"j5WESpmRj816VtyUuWwh"
],
"completed": true,
"assignedTo": [
"0004Mtfsd11SBU1mBPgd"
],
"query": "Task Name",
"limit": 10,
"skip": 10,
"businessId": "6348240b98722079e5417332"
}
'{
"tasks": [
"<array>"
]
}Task Search
curl --request POST \
--url https://services.leadconnectorhq.com/locations/{locationId}/tasks/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"contactId": [
"dSMo5jnqkJyh8YeGXM7k",
"j5WESpmRj816VtyUuWwh"
],
"completed": true,
"assignedTo": [
"0004Mtfsd11SBU1mBPgd"
],
"query": "Task Name",
"limit": 10,
"skip": 10,
"businessId": "6348240b98722079e5417332"
}
'{
"tasks": [
"<array>"
]
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id
Contact Ids
[
"dSMo5jnqkJyh8YeGXM7k",
"j5WESpmRj816VtyUuWwh"
]Task Completed Or Pending
true
Assigned User Ids
["0004Mtfsd11SBU1mBPgd"]Search Value
"Task Name"
Limit To Api
10
Number Of Tasks To Skip
10
Bussiness Id
"6348240b98722079e5417332"
Successful response
Was this page helpful?